%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>
Name:           telepathy-butterfly
Version:        0.5.3
Release:        1
Summary:        MSN connection manager for Telepathy
Group:          Networking/Instant Messaging
License:        GPLv2+
URL:            http://telepathy.freedesktop.org/wiki/
Source0:        http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
Patch0:		%{name}-build.patch
BuildArch:      noarch
BuildRequires:	dbus-devel
BuildRequires:	python26-devel
BuildRequires:	pkgconfig
Requires:	python26-telepathy
Requires:	python26-papyon
Requires:	dbus
Requires:	telepathy-filesystem


%description
An MSN connection manager that handles presence, personal messages,
and conversations


%prep
%setup -q
%patch0 -p1 -b .destdir
FIX=$(find -type f -name "*" -exec grep -I -l -e "^#!/usr/bin/python" -e "^#!/usr/bin/env python" -e "^#! /usr/bin/python" -e "^#! /usr/bin/env python" "{}" \; \)
for i in $FIX; do
    sed -i "s,^#!/usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#! /usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#!/usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i
    sed -i "s,^#! /usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i    
done


%build
PYTHON=/usr/bin/python%{PYVER} ./configure --prefix=%_prefix
make


%install
rm -rf $RPM_BUILD_ROOT
make install


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS NEWS
%{_libexecdir}/%{name}
%{_datadir}/dbus-1/services/*.service
%{_datadir}/telepathy/managers/*.manager
%{python_sitelib}/*


%changelog
* Tue Nov 24 2009 Christian Metzen <metzench@ccux-linux.de> 0.5.3-1
- Initial CCux package release
